Search processing.org:

Reference for Processing (BETA) version 0135+. If you have a previous version, use the reference included with your software. If you see any errors or have any comments, let us know.

Name | ### {} (curly braces)
Examples |
    int[] a = { 5, 20, 25, 45, 70 };

    void setup() {
      size(100, 100);
    }

    void draw() {
      for(int i=0; i < a.length; i++) {
        line(0, a[i], 50, a[i]);
      }
    }
Description | Define the beginning and end of functions blocks and statement blocks such as the for() and if() structures. Curly braces are also used for defining inital values in array declarations.
Syntax |
    { statements }
    { ele0, ..., eleN }
Parameters |
statements | any sequence of valid statements
ele0 ... eleN | list of elements separated by commas
Usage | Web & Application
Related | () (parentheses)

Updated on March 14, 2006 10:28:05am PST